Gecode::Int::ViewValGraph::BiLink Class Reference

Bidirectional links for edges and anchors in nodes of view-value graph. More...

`#include <view-val-graph.hh>`

## Public Member Functions

| BiLink (void)
| Initialize as empty (self referenced).
BiLink * | prev (void) const
| Return previous element.
BiLink * | next (void) const
| Return next element.
void | prev (BiLink *l)
| Set previous element to l.
void | next (BiLink *l)
| Set next element to l.
void | add (BiLink *l)
| Add l after this element.
void | unlink (void)
| Unlink this element.
void | mark (void)
| Mark element (invalidates next element pointer).
bool | marked (void) const
| Whether element is marked.
bool | empty (void) const
| Whether element has no previous and next element.

## Detailed Description

Bidirectional links for edges and anchors in nodes of view-value graph.

Definition at line 74 of file view-val-graph.hh.

## Constructor & Destructor Documentation

## BiLink()

Gecode::Int::ViewValGraph::BiLink::BiLink | ( | void |  | ) |

inline

Initialize as empty (self referenced).

Definition at line 37 of file bi-link.hpp.

## Member Function Documentation

## prev() [1/2]

BiLink * Gecode::Int::ViewValGraph::BiLink::prev | ( | void |  | ) | const

inline

Return previous element.

Definition at line 42 of file bi-link.hpp.

## next() [1/2]

BiLink * Gecode::Int::ViewValGraph::BiLink::next | ( | void |  | ) | const

inline

Return next element.

Definition at line 46 of file bi-link.hpp.

## prev() [2/2]

void Gecode::Int::ViewValGraph::BiLink::prev | ( | BiLink * | l | ) |

inline

Set previous element to l.

Definition at line 50 of file bi-link.hpp.

## next() [2/2]

void Gecode::Int::ViewValGraph::BiLink::next | ( | BiLink * | l | ) |

inline

Set next element to l.

Definition at line 54 of file bi-link.hpp.

## add()

void Gecode::Int::ViewValGraph::BiLink::add | ( | BiLink * | l | ) |

inline

Add l after this element.

Definition at line 59 of file bi-link.hpp.

## unlink()

void Gecode::Int::ViewValGraph::BiLink::unlink | ( | void |  | ) |

inline

Unlink this element.

Definition at line 64 of file bi-link.hpp.

## mark()

void Gecode::Int::ViewValGraph::BiLink::mark | ( | void |  | ) |

inline

Mark element (invalidates next element pointer).

Definition at line 70 of file bi-link.hpp.

## marked()

bool Gecode::Int::ViewValGraph::BiLink::marked | ( | void |  | ) | const

inline

Whether element is marked.

Definition at line 74 of file bi-link.hpp.

## empty()

bool Gecode::Int::ViewValGraph::BiLink::empty | ( | void |  | ) | const

inline

Whether element has no previous and next element.

Definition at line 78 of file bi-link.hpp.

The documentation for this class was generated from the following files:

- gecode/int/view-val-graph.hh
- gecode/int/view-val-graph/bi-link.hpp